> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /udemy/courses

> Get Udemy (udemy.com) course details by course slug, numeric id, or course URL

**Price:** 1 credit

**⚠️ Common errors:** 412: Course not found



## OpenAPI

````yaml /openapi/education-courses.json post /api/udemy/courses
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/udemy/courses:
    post:
      tags:
        - /udemy
      summary: /udemy/courses
      description: >-
        Get Udemy (udemy.com) course details by course slug, numeric id, or
        course URL


        **Price:** 1 credit


        **⚠️ Common errors:** 412: Course not found
      operationId: __api_udemy_courses_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UdemyCoursesPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/UdemyCourse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UdemyCoursesPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        course:
          type: string
          minLength: 1
      type: object
      required:
        - course
    UdemyCourse:
      properties:
        '@type':
          type: string
          default: UdemyCourse
        id:
          type: string
        alias:
          anyOf:
            - type: string
            - type: 'null'
        course_title:
          type: string
        headline:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        web_url:
          type: string
        is_paid:
          anyOf:
            - type: boolean
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        price_currency:
          anyOf:
            - type: string
            - type: 'null'
        rating:
          anyOf:
            - type: number
            - type: 'null'
        review_count:
          anyOf:
            - type: integer
            - type: 'null'
        student_count:
          anyOf:
            - type: integer
            - type: 'null'
        lecture_count:
          anyOf:
            - type: integer
            - type: 'null'
        level:
          anyOf:
            - type: string
            - type: 'null'
        content_info:
          anyOf:
            - type: string
            - type: 'null'
        duration_seconds:
          anyOf:
            - type: integer
            - type: 'null'
        estimated_content_length:
          anyOf:
            - type: integer
            - type: 'null'
        has_certificate:
          anyOf:
            - type: boolean
            - type: 'null'
        coding_exercise_count:
          anyOf:
            - type: integer
            - type: 'null'
        assignment_count:
          anyOf:
            - type: integer
            - type: 'null'
        quiz_count:
          anyOf:
            - type: integer
            - type: 'null'
        published_quiz_count:
          anyOf:
            - type: integer
            - type: 'null'
        practice_test_count:
          anyOf:
            - type: integer
            - type: 'null'
        article_count:
          anyOf:
            - type: integer
            - type: 'null'
        additional_asset_count:
          anyOf:
            - type: integer
            - type: 'null'
        language:
          anyOf:
            - type: string
            - type: 'null'
        category:
          anyOf:
            - type: string
            - type: 'null'
        subcategory:
          anyOf:
            - type: string
            - type: 'null'
        objectives_summary:
          items:
            type: string
          type: array
          default: []
        what_you_will_learn:
          items:
            type: string
          type: array
          default: []
        requirements:
          items:
            type: string
          type: array
          default: []
        target_audiences:
          items:
            type: string
          type: array
          default: []
        caption_languages:
          items:
            type: string
          type: array
          default: []
        instructors:
          items:
            $ref: '#/components/schemas/UdemyCourseInstructor'
          type: array
          default: []
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
        published_at:
          anyOf:
            - type: integer
            - type: 'null'
        updated_date:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - course_title
        - web_url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    UdemyCourseInstructor:
      properties:
        '@type':
          type: string
          default: UdemyCourseInstructor
        id:
          type: string
        name:
          type: string
        job_title:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        web_url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - name
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````